eID middleware |

# be::portugal::eid::PTEID_ExCertNoCrl Class Reference

Exception class Certificate No CRL (error code = EIDMW_ERR_CERT_NOCRL). More...

Inheritance diagram for be::portugal::eid::PTEID_ExCertNoCrl:

List of all members.

## Public Member Functions
override void | Dispose ()
| PTEID_ExCertNoCrl ()

## Detailed Description

Exception class Certificate No CRL (error code = EIDMW_ERR_CERT_NOCRL).

Throw when ask for the CRL when the certificate contains no CDP. Used in :

- PTEID_Certificate::getCrl()

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_ExCertNoCrl::PTEID_ExCertNoCrl | ( |  | ) | `[inline]`

## Member Function Documentation

override void be::portugal::eid::PTEID_ExCertNoCrl::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Exception.